<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on October 30, 2006 at 10:42:15 pm</time-stamp>


<methods>
<class-id>PROVISO.ProbeMonitor</class-id> <category>db access</category>

<body package="PV-SNMP Collector" selector="dbLoadRoutersForCollector:">dbLoadRoutersForCollector: aNumber
	"Load the routers that have monitored probes from the database"

	| routersFromDB |
	routersFromDB := Dictionary new.
	((self dbInterface routerIdsForCollector: aNumber) collect: [ :ea | ea asNumber])
		do: 
			[ :eaId | 
			routersFromDB 
				at: eaId 
				put: (self createRouterWithId: eaId)].
	self dbInterface 
		routerProbePropertiesForCollector: aNumber
		do: 
			[ :routerId :propName :propValue | 
			(routersFromDB at: routerId ifAbsent: [nil]) ifNotNil: [ :theRouter |
				propName = 'probeRebootCheckInterval' ifTrue: [theRouter rebootCheckInterval: propValue asNumber].
				propName = 'probeResyncInterval' ifTrue: [theRouter resyncInterval: propValue asNumber]]].
	routersFromDB do: [ :ea | ea dbLoadMonitoredProbes].
	self routers: routersFromDB.</body>
</methods>

</st-source>
